import { NgModule } from '@angular/core';
import { Routes, RouterModule, ActivatedRouteSnapshot } from '@angular/router';
import { CourseComponent } from './pages/course/course.component';
import { CoursesComponent } from './pages/courses/courses.component';
import { CourseSettingsComponent } from './pages/course-settings/course-settings.component';
import { NewCourseComponent } from './pages/new-course/new-course.component';
import { CourseUnitAdminComponent } from './pages/course-unit-admin/course-unit-admin.component';
import { PermissionsComponent } from './pages/permissions/permissions.component';
import { CourseUnitsComponent } from './pages/course-units/course-units.component';
import { CourseUnit } from './models/course-unit';
import { CourseFilesComponent } from './pages/course-files/course-files.component';
import { CourseParticipantsComponent } from './pages/course-participants/course-participants.component';

export const routes: Routes = [
  {
    path: 'course',
    component: CoursesComponent,
    data: {
      reuseRoute: true
    }
  },
  {
    path: 'course/new',
    component: NewCourseComponent,
  },
  {
    path: 'course/:course_id',
    component: CourseComponent,
    data: {
      courseMenuEnabled: true
    }
  },
  {
    path: 'course/:course_id/permissions',
    component: PermissionsComponent,
    data: {
      courseMenuEnabled: true
    }
  },
  {
    path: 'course/:course_id/settings',
    component: CourseSettingsComponent,
    data: {
      courseMenuEnabled: true
    }
  },
  {
    path: 'course/:course_id/participants',
    component: CourseParticipantsComponent,
    data: {
      courseMenuEnabled: true,
      reuseRoute: true
    }
  },
  {
    path: 'course/:course_id/files',
    component: CourseFilesComponent,
    data: {
      courseMenuEnabled: true
    }
  },
  {
    path: 'course/:course_id/unit',
    component: CourseUnitsComponent,
    data: {
      breadcrumb: {
        alias: 'courseUnits',
        label: 'Veranstaltungen'
      },
      courseMenuEnabled: true
    }
  },
  {
    path: 'unit/:unit_id/admin',
    component: CourseUnitAdminComponent,
    data: {
      breadcrumb: {
        alias: 'courseUnitAdmin',
        label: 'Administration'
      },
      courseMenuEnabled: true
    }
  },
];

@NgModule({
  exports: [RouterModule]
})
export class CoursesRoutingModule { }
