export enum StaffGroup {
    Admin,
    Lecturer,
    Tutor
}

export namespace StaffGroup {
    export function toString(type: StaffGroup): string {
        switch(type) {
            case StaffGroup.Admin: return "Verantwortlicher";
            case StaffGroup.Lecturer: return "Dozent";
            case StaffGroup.Tutor: return "Tutor";
        }
    }

    export function fromString(s: string) : StaffGroup {
        let values = Object.keys(StaffGroup).filter(k => !isNaN(Number(k))).map(k => Number(k));
        return values.find(v => StaffGroup.toString(v) == s);
    }
}