import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from 'app/shared/shared.module';
import { MisconceptionsRoutingModule } from './misconceptions-routing.module';
import { MisconceptionDetailComponent } from './pages/misconception-detail/misconception-detail.component';
import { TransformTooltipsDirective } from './directive/transform-tooltips.directive';
import { TooltipLinkComponent } from './components/tooltip-link/tooltip-link.component';
import { TransformInteractiveEditorsDirective } from './directive/transform-interactive-editors.directive';
import { EvalComponent } from './components/eval/eval.component';
import { SnippedEditorComponent } from './components/snipped-editor/snipped-editor.component';
import { RelativizeHeadingsPipe } from './pipes/relativize-headings.pipe';
import { MisconceptionsComponent } from './pages/misconceptions/misconceptions.component';



@NgModule({
  declarations: [
    MisconceptionDetailComponent,
    EvalComponent,
    TooltipLinkComponent,
    SnippedEditorComponent,
    
    RelativizeHeadingsPipe,
    TransformTooltipsDirective,
    TransformInteractiveEditorsDirective,
    MisconceptionsComponent
  ],
  imports: [
    CommonModule,
    SharedModule,
    MisconceptionsRoutingModule
  ]
})
export class MisconceptionsModule { }
