import { Injectable, ViewContainerRef } from "@angular/core";
import { Solution } from "app/features/solutions/models/solution";
import { SolutionService } from "app/features/solutions/services/solution.service";
import { BaseComponent } from "app/shared/components/base/base.component";
import { BackendError } from "app/shared/models/backend-error";
import { FileTree } from "app/shared/models/file-tree";
import { NotificationService } from "app/shared/services/notification.service";
import { Observable, of } from "rxjs";
import { takeUntil } from "rxjs/operators";
import { DefaultViewerComponent } from "./default-viewer.component";

@Injectable({
    providedIn: 'root'
})
export class DefaultViewerFactory extends BaseComponent {
    constructor(
        private solutionService: SolutionService,
        private notificationService: NotificationService
    ) {
        super();
    }

    createViewer(solution: Solution, tree: FileTree, containerRef: ViewContainerRef): Observable<void> {
        const componentRef = containerRef.createComponent<DefaultViewerComponent>(DefaultViewerComponent);
        componentRef.instance.tree = tree;
        componentRef.instance.solution = solution;
        return of(null);
    }
}