import { Pipe, PipeTransform } from "@angular/core";
import * as CodeMirror from "codemirror";

/**
 * The modes from codemirror are not mapped to all possible mime types, so we configure missing mappings through this pipe
 */
@Pipe({
    name: 'codemirrorMode',
})
export class CodemirrorModePipe implements PipeTransform {
    transform(mime: string): any {
        switch(mime) {
            case 'text/x-java-source': return 'text/x-java';
        }
        return mime;
    }
}