package de.hsrm.sls.subato.aor.term;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import de.hsrm.sls.subato.aor.term.model.TermData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class JsonTermDataReader {
    @Autowired
    ObjectMapper objectMapper;

    public TermData read(String json) {
        try {
            var mapper = objectMapper.copy();
            mapper.setPropertyNamingStrategy(PropertyNamingStrategy.SNAKE_CASE);
            var termData = mapper.readValue(json, TermData.class);
            return termData;
        } catch (JsonProcessingException e) {
            throw new RuntimeException(e);
        }
    }
}
