package de.hsrm.sls.subato.aor.term.imp;

import de.hsrm.sls.subato.modules.term.Term;
import de.hsrm.sls.subato.modules.term.TermRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
@Transactional
public class TermImportService {
    @Autowired
    TermRepository termRepository;

    public Term importTerm(de.hsrm.sls.subato.aor.term.model.Term term) {
        var name = term.getTyp() + term.getYear();
        var existingTerm = termRepository.findAll().stream().filter(t -> t.getName().equals(name))
                .findFirst()
                .orElse(null);

        if(existingTerm == null) {
            existingTerm = new Term();
        }

        existingTerm.setName(name);
        existingTerm.setLecturesStartAt(term.getStartOfClasses());
        existingTerm.setLecturesEndAt(term.getEndOfClasses());
        existingTerm.setAorId(term.getId());

        existingTerm = termRepository.save(existingTerm);

        return existingTerm;
    }
}
