package de.hsrm.sls.subato.attendances.attendance.model;

import de.hsrm.sls.subato.courses.event.CourseUnitEvent;
import de.hsrm.sls.subato.courses.unit.CourseUnit;
import de.hsrm.sls.subato.user.User;

import java.util.ArrayList;
import java.util.List;

public class ParticipantAttendance {
    private User user;
    private CourseUnit courseUnit;
    private List<CourseUnitEvent> events;
    private List<Attendance> eventAttendances;

    public ParticipantAttendance(User user, CourseUnit unit) {
        this.user = user;
        this.courseUnit = unit;
        events = unit.getEvents();
        eventAttendances = new ArrayList<>();
    }

    public List<Attendance> getEventAttendances() {
        return eventAttendances;
    }

    public CourseUnit getCourseUnit() {
        return courseUnit;
    }

    public User getUser() {
        return user;
    }

    public List<CourseUnitEvent> getEvents() {
        return events;
    }

    public Long getPossibleSum() {
        return courseUnit.getEvents().stream().filter(e -> !e.isHoliday()).count();
    }

    public Long getPresentSum() {
        return eventAttendances.stream().filter(eA -> !eA.getEvent().isHoliday()).count();
    }
}