package de.hsrm.sls.subato.auth.policy.exercises;

import de.hsrm.sls.subato.auth.policy.CheckPolicyRequest;
import de.hsrm.sls.subato.auth.policy.PolicyRule;
import de.hsrm.sls.subato.courses.membership.StaffGroup;
import de.hsrm.sls.subato.exercises.exercise.Exercise;
import org.springframework.stereotype.Component;

/**
 * The current user is allowed to update an exercise within a certain course
 */
@Component
public class ExerciseUpdatePolicy implements PolicyRule {
    @Override
    public boolean check(CheckPolicyRequest request) {
        if(!request.matches(ExercisesAction.EXERCISE_UPDATE)) {
            return false;
        }

        var exercise = (Exercise) request.getObj();
        return !request.unauthenticated() && request.getSubject().hasGroup(exercise.getCourse().getId(), StaffGroup.ADMIN);
    }
}
