package de.hsrm.sls.subato.courses.course;

import de.hsrm.sls.subato.modules.term.Term_;
import org.springframework.data.jpa.domain.Specification;

import java.util.Optional;

import static de.hsrm.sls.subato.shared.QueryPredicates.ignoreCaseContains;

public class CourseSpecifications {
    public static Specification<Course> termEquals(long termId) {
        return (ex, cq, cb) -> cb.or(cb.equal(ex.get(Course_.term).get(Term_.id), termId), cb.isNull(ex.get(Course_.term)));
    }

    static Specification<Course> applyQuery(String q) {
        return (ex, cq, cb) -> cb.or(ignoreCaseContains(cb, Optional.of(q), ex.get(Course_.name)), ignoreCaseContains(cb, Optional.of(q), ex.get(Course_.shortName)));
    }
}
