package de.hsrm.sls.subato.courses.course;

import java.util.List;

public class CreateCourseRequestBuilder {
    private Long id;
    private String name;
    private String shortName;
    private CourseVisibility visibility;
    private SubmitPolicy submitPolicy;
    private boolean showEmails;
    private Long sourceId;
    private Long termId;
    private List<Long> moduleIds;
    private Long courseId;

    public CreateCourseRequestBuilder setId(Long id) {
        this.id = id;
        return this;
    }

    public CreateCourseRequestBuilder setName(String name) {
        this.name = name;
        return this;
    }

    public CreateCourseRequestBuilder setShortName(String shortName) {
        this.shortName = shortName;
        return this;
    }

    public CreateCourseRequestBuilder setVisibility(CourseVisibility visibility) {
        this.visibility = visibility;
        return this;
    }

    public CreateCourseRequestBuilder setSubmitPolicy(SubmitPolicy submitPolicy) {
        this.submitPolicy = submitPolicy;
        return this;
    }

    public CreateCourseRequestBuilder setShowEmails(boolean showEmails) {
        this.showEmails = showEmails;
        return this;
    }

    public CreateCourseRequestBuilder setSourceId(Long sourceId) {
        this.sourceId = sourceId;
        return this;
    }

    public CreateCourseRequestBuilder setTermId(Long termId) {
        this.termId = termId;
        return this;
    }

    public CreateCourseRequestBuilder setModuleIds(List<Long> moduleIds) {
        this.moduleIds = moduleIds;
        return this;
    }

    public CreateCourseRequestBuilder setCourseId(Long courseId) {
        this.courseId = courseId;
        return this;
    }

    public CreateCourseRequest build() {
        return new CreateCourseRequest(id, name, shortName, visibility, submitPolicy, showEmails, sourceId, termId, moduleIds, courseId);
    }
}