package de.hsrm.sls.subato.shared.fs;

import de.hsrm.sls.subato.shared.config.SubatoConfig;
import org.apache.commons.io.FileUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.io.IOException;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.UUID;

@Service
public class TmpDirProvider {
    @Autowired
    private SubatoConfig subatoConfig;

    public Path createTmpPath() {
        return Paths.get(subatoConfig.getTmpDir()).resolve(UUID.randomUUID().toString());
    }

    public Path createTmpPath(String name) {
        return Paths.get(subatoConfig.getTmpDir()).resolve(name);
    }

    public void clear() {
        try {
            FileUtils.deleteDirectory(Path.of(subatoConfig.getTmpDir()).toFile());
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }
}
