package de.hsrm.sls.subato.solutions.evaluation.evaluator;

import com.google.common.base.Strings;
import de.hsrm.sls.subato.solutions.evaluation.result.EvalResult;
import de.hsrm.sls.subato.tasks.task.Task;

import jakarta.persistence.*;
import java.util.List;

@Entity
@Table(name = "evaluator", uniqueConstraints={
        @UniqueConstraint(columnNames = {"id", "version"})
})
public class Evaluator {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private long eid;

    private String id;

    private String version;

    private boolean compile;
    private boolean style;
    private boolean test;

    @OneToMany(mappedBy = "evaluator")
    private List<Task> tasks;

    @OneToMany(mappedBy = "evaluator")
    private List<EvalResult> results;

    public long getEid() {
        return eid;
    }

    public void setEid(long eid) {
        this.eid = eid;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public boolean isCompile() {
        return compile;
    }

    public void setCompile(boolean compile) {
        this.compile = compile;
    }

    public boolean isStyle() {
        return style;
    }

    public void setStyle(boolean style) {
        this.style = style;
    }

    public boolean isTest() {
        return test;
    }

    public void setTest(boolean test) {
        this.test = test;
    }

    public List<Task> getTasks() {
        return tasks;
    }

    public void setTasks(List<Task> tasks) {
        this.tasks = tasks;
    }

    public String getReference() {
        return Strings.isNullOrEmpty(version) ? id : "%s@%s".formatted(id, version);
    }

    public List<EvalResult> getResults() {
        return results;
    }

    public void setResults(List<EvalResult> results) {
        this.results = results;
    }
}
