package de.hsrm.sls.subato.tasks.stef.spec;

import com.fasterxml.jackson.annotation.JsonIgnore;
import de.hsrm.sls.subato.tasks.task.SubmissionModeType;

import java.util.List;

public class SubmissionModeConfig {
    List<SubmissionMode> modes;
    SubmissionModeType defaultMode;

    public SubmissionModeConfig(List<SubmissionMode> modes, SubmissionModeType defaultMode) {
        this.modes = modes;
        this.defaultMode = defaultMode;
    }

    public SubmissionModeConfig() {
    }

    @JsonIgnore
    public FileSubmissionMode getFileSubmissionMode() {
        return (FileSubmissionMode) modes.stream().filter(m -> m instanceof FileSubmissionMode).findFirst().orElse(null);
    }

    @JsonIgnore
    public TextSubmissionMode getTextSubmissionMode() {
        return (TextSubmissionMode) modes.stream().filter(m -> m instanceof TextSubmissionMode).findFirst().orElse(null);
    }

    public List<SubmissionMode> getModes() {
        return modes;
    }

    public void setModes(List<SubmissionMode> modes) {
        this.modes = modes;
    }

    public SubmissionModeType getDefaultMode() {
        return defaultMode;
    }

    public void setDefaultMode(SubmissionModeType defaultMode) {
        this.defaultMode = defaultMode;
    }
}
