package de.hsrm.sls.subato.tasks.stef.parser;

import de.hsrm.sls.subato.Tags;
import org.junit.Assert;
import org.junit.jupiter.api.Tag;
import org.junit.jupiter.api.Test;

@Tag(Tags.UNIT)
public class TexSanitizerTest {
    @Test
    public void shouldSanitize1() {
        var sanitizer = new TexSanitizer();
        var wrong = "\\[x =<br> 17\\]";
        var expected = "\\[x = 17\\]";

        Assert.assertEquals(expected, sanitizer.removeHtmlInTexExpressions(wrong));
    }

    @Test
    public void shouldSanitize2() {
        var sanitizer = new TexSanitizer();
        var wrong = "\\[\\[x =<br> 17\\]\\]";
        var expected = "\\[\\[x = 17\\]\\]";

        Assert.assertEquals(expected, sanitizer.removeHtmlInTexExpressions(wrong));
    }

    @Test
    public void shouldSanitize3() {
        var sanitizer = new TexSanitizer();
        var wrong = "$x =<br> 17$";
        var expected = "$x = 17$";

        Assert.assertEquals(expected, sanitizer.removeHtmlInTexExpressions(wrong));
    }

    @Test
    public void shouldSanitize4() {
        var sanitizer = new TexSanitizer();
        var wrong = "$$x =<br> 17$$";
        var expected = "$$x = 17$$";

        Assert.assertEquals(expected, sanitizer.removeHtmlInTexExpressions(wrong));
    }
}
